# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/audacious /usr/bin/nm /usr/bin/pkg-config /usr/bin/sort /usr/bin/uniq /usr/bin/xmms /usr/bin/xmms-config gcc-c++ glib-devel gtk+-devel libaudacious-devel libfftw-devel libgtk+2-devel
# END SourceDeps(oneline)
%define xmms_outputdir %(xmms-config --output-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/Output)

Summary: Audio crossfade plugin for XMMS
Name: xmms-crossfade
Version: 0.3.14
Release: alt1_7
License: GPLv2+
Group: Sound
URL: http://www.eisenlohr.org/xmms-crossfade/
Source: http://www.eisenlohr.org/xmms-crossfade/xmms-crossfade-%{version}.tar.gz
Patch0: xmms-crossfade-0.3.14-libexec.patch
Requires: xmms >= 1:1.2.10-20
BuildRequires: gtk2-devel glib2-devel
BuildRequires: xmms
BuildRequires: xmms-devel
BuildRequires: libsamplerate-devel
BuildRequires: id3lib-devel
BuildRequires: autoconf automake libtool
Source44: import.info

%description
A plugin for XMMS featuring crossfading, continuous output between songs and
a gap-killer.

%prep
%setup -q -T -b 0
%patch0 -p1 -b .libexec
autoreconf -i -f -v
# Convert docs to UTF-8
for f in ChangeLog README; do
  iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f ; mv $f.utf8 $f
done

%build
%configure --enable-id3 --enable-player=xmms --libdir=%{xmms_outputdir}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc AUTHORS ChangeLog COPYING README
%exclude %{xmms_outputdir}/libcrossfade.la
%{xmms_outputdir}/libcrossfade.so

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.14-alt1_7
- initial fc import

